
TYPO3.Flow - Feature # 44740

Status: Resolved Priority: Should have
Author: Marco Falkenberg Category: Persistence
Created: 2013-01-23 Assigned To:
Updated: 2015-03-05 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Subject: Add support for doctrine's 'indexBy'-annotation in FlowAnnotationDriver
Description

There is a nice feature for indexing doctrine's collections (One-To-Many & Many-ToMany). See 
http://docs.doctrine-project.org/projects/doctrine-orm/en/latest/tutorials/working-with-indexed-associations.html

It would be nice if Flow's annotation would transport this annotation as well.

Many thanks!

Associated revisions
Revision 4d0f1daa - 2015-02-01 01:44 - Ferdinand Kuhl

[BUGFIX] Properly support doctrine's indexBy attribute

Doctrine allows an indexBy attribute at OneToMany and ManyToMany
relations. The current FlowAnnotationDriver removes this attribute.
This patch passes it forward again.

Functional tests are included.

Change-Id: I15103ba7393d0901e36e04c593a71e8cf51fa980
Related: #44740
Releases: master, 2.3, 2.2, 2.1

Revision fcd2517c - 2015-02-14 17:25 - Ferdinand Kuhl

[BUGFIX] Properly support doctrine's indexBy attribute

Doctrine allows an indexBy attribute at OneToMany and ManyToMany
relations. The current FlowAnnotationDriver removes this attribute.
This patch passes it forward again.

Functional tests are included.

Change-Id: I15103ba7393d0901e36e04c593a71e8cf51fa980
Related: #44740
Releases: master, 2.3, 2.2, 2.1

Revision 6d90717b - 2015-02-14 17:35 - Ferdinand Kuhl
[BUGFIX] Properly support doctrine's indexBy attribute

Doctrine allows an indexBy attribute at OneToMany and ManyToMany
relations. The current FlowAnnotationDriver removes this attribute.
This patch passes it forward again.

Functional tests are included.

Change-Id: I15103ba7393d0901e36e04c593a71e8cf51fa980
Related: #44740
Releases: master, 2.3, 2.2, 2.1

Revision 59c880f2 - 2015-02-14 17:38 - Ferdinand Kuhl

[BUGFIX] Properly support doctrine's indexBy attribute

Doctrine allows an indexBy attribute at OneToMany and ManyToMany
relations. The current FlowAnnotationDriver removes this attribute.
This patch passes it forward again.

Functional tests are included.

Change-Id: I15103ba7393d0901e36e04c593a71e8cf51fa980
Related: #44740
Releases: master, 2.3, 2.2, 2.1

History
#1 - 2015-03-05 14:33 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100
